--- title: "Get the Upload Status" slug: "get-the-upload-status-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/get-the-upload-status-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Upload Status This URL will get the upload status of the diagnostic trace file. ### Resource URL GET /sensor//diagnosticstrace/upload ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Request Parameters: None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `updatePercentageComplete` | Percentage of the upload process completed | Number | | `updateStatusMessage` | Status of the upload process | String | ### Example **Request** GET [https:///sensor/1001/diagnosticstrace/upload](HTTPS:/_3CNSM_IP_3E/SENSOR/1001/DIAGNOSTICSTRACE/UPLOAD_0D) **Payload** None **Response** ``` {        "updatePercentageComplete": 50,        "updateStatusMessage": "IN PROGRESS:Transfer of File Segment in progress for.... Sensor: sensor"    } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive |